Crea caselle di posta in blocco
Crea caselle di posta in blocco senza restituire password.
curl --request POST \
--url https://api.hybridbox.io/v1/public/accounts/{account_id}/mailboxes/bulk \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"domain": "<string>",
"items": [
{
"first_name": "<string>",
"last_name": "<string>",
"local_part": "<string>"
}
]
}
'import requests
url = "https://api.hybridbox.io/v1/public/accounts/{account_id}/mailboxes/bulk"
payload = {
"domain": "<string>",
"items": [
{
"first_name": "<string>",
"last_name": "<string>",
"local_part": "<string>"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
domain: '<string>',
items: [{first_name: '<string>', last_name: '<string>', local_part: '<string>'}]
})
};
fetch('https://api.hybridbox.io/v1/public/accounts/{account_id}/mailboxes/bulk', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"created": [
{
"index": 123,
"mailbox": {
"created_at": "<string>",
"domain_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"domain_name": "<string>",
"first_name": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"last_name": "<string>",
"local_part": "<string>",
"primary_email": "<string>",
"quota": {
"allowed": 123,
"used": 123
},
"status": "<string>",
"updated_at": "<string>",
"aliases": [
{
"alias": "<string>",
"is_catch_all": false
}
],
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workspace_name": "<string>"
}
}
],
"failed": [
{
"code": "<string>",
"index": 123,
"message": "<string>"
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Autorizzazioni
Public API bearer credential sent as Authorization: Bearer <token>. Use either an OAuth access token or a Hybridbox Service account token.
Parametri del percorso
Corpo
Corpo della richiesta per creazione caselle di posta in blocco.
Risposta
Hide child attributes
Hide child attributes
Hide child attributes
Hide child attributes
Timestamp di creazione della casella di posta
Dominio UUID per la casella di posta
Nome di dominio per la casella di posta
Nome dell'utente della casella di posta
Cassetta postale UUID
Cognome dell'utente della casella di posta
Parte locale della cassetta postale prima della chiocciola
Indirizzo e-mail della casella di posta principale
Stato del ciclo di vita della cassetta postale
Timestamp dell'ultimo aggiornamento della casella di posta
Area di lavoro UUID per la casella di posta
Nome visualizzato dell'area di lavoro
Questa pagina è stata utile?
